Summary: Obtain your geo-location data from Google using NetworkManager
Name: geome
Version: 2.0
Release: 11%{?dist}
License: GPLv3
Url:  http://ftp.nohats.ca/%{name}
Source: http://ftp.nohats.ca/%{name}/%{name}-%{version}.tar.gz
Group: Applications/Internet
BuildArch: noarch
BuildRequires: python-setuptools, python2-devel
Requires: dbus-python
Requires: python-geome = %{version}

Patch1: geome-2.0-fedora-portal.patch

%description
geome queries NetworkManager for its wifi information, such as ESSID's
and signal strength, and sends it to Google Location to obtain your
geographic location. 
It can return all of the information Google returns, or with the -s
flag, only return the latitude/longitude. This last mode is used by
the Pidgin OTR nearby friends plugin.

%package -n python2-geome
%{?python_provide:%python_provide python2-geome}
Summary: Python library for geome location
Group: Applications/System

%description -n python2-geome
Geome python module with the geome.location() function

%prep
%setup -q 
%patch1 -p1

%build

%install
%{__python} setup.py install --skip-build --root $RPM_BUILD_ROOT
mkdir -p %{buildroot}%{_bindir} %{buildroot}%{_mandir}/man1 %{buildroot}/%{python_sitelib}
install -p -m 0644 src/geome.py %{buildroot}%{python_sitelib}
install -p -m 0755 geome %{buildroot}%{_bindir}
install -p -m 644 geome.1 %{buildroot}%{_mandir}/man1

%files -n python2-geome
%doc README COPYING
%{python_sitelib}/*

%files
%{_bindir}/geome
%{_mandir}/man1/geome.1*

%changelog
* Wed Feb 07 2018 Fedora Release Engineering <releng@fedoraproject.org> - 2.0-11
- Rebuilt for https://fedoraproject.org/wiki/Fedora_28_Mass_Rebuild

* Sat Aug 19 2017 Zbigniew Jędrzejewski-Szmek <zbyszek@in.waw.pl> - 2.0-10
- Python 2 binary package renamed to python2-geome
  See https://fedoraproject.org/wiki/FinalizingFedoraSwitchtoPython3

* Wed Jul 26 2017 Fedora Release Engineering <releng@fedoraproject.org> - 2.0-9
- Rebuilt for https://fedoraproject.org/wiki/Fedora_27_Mass_Rebuild

* Fri Feb 10 2017 Fedora Release Engineering <releng@fedoraproject.org> - 2.0-8
- Rebuilt for https://fedoraproject.org/wiki/Fedora_26_Mass_Rebuild

* Sat Dec 03 2016 Paul Wouters <pwouters@redhat.com> - 2.0-7
- Patch to allow for fedora capture portal's changed output lacking a newline :(

* Tue Jul 19 2016 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 2.0-6
- https://fedoraproject.org/wiki/Changes/Automatic_Provides_for_Python_RPM_Packages

* Wed Feb 03 2016 Fedora Release Engineering <releng@fedoraproject.org> - 2.0-5
- Rebuilt for https://fedoraproject.org/wiki/Fedora_24_Mass_Rebuild

* Wed Jun 17 2015 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 2.0-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_23_Mass_Rebuild

* Mon Jun 30 2014 Toshio Kuratomi <toshio@fedoraproject.org> - 2.0-3
- Replace python-setuptools-devel BR with python-setuptools

* Sat Jun 07 2014 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 2.0-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_21_Mass_Rebuild

* Sun Oct 06 2013 Paul Wouters <pwouters@redhat.com> - 2.0-1
- Updated to 2.0 - uses new Google API, extended lib functions and cli client

* Sat Aug 03 2013 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.4-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_20_Mass_Rebuild

* Wed Feb 13 2013 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.4-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_19_Mass_Rebuild

* Mon Nov 12 2012 Paul Wouters <pwouters@redhat.com> - 1.4-1
- Update to 1.4, different exit codes, man page updates

* Sun Nov 11 2012 Paul Wouters <pwouters@redhat.com> - 1.3-1
- Update to 1.3, which has connectivity and hotspot detection
  (allows it to fail more quickly, in 5s)

* Thu Oct 25 2012 Paul Wouters <pwouters@redhat.com> - 1.2-1
- Update to 1.2, which splits library and command tool in subpackage
- Remove dependancy on python-simplejson

* Thu Jul 19 2012 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.1-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_18_Mass_Rebuild

* Tue Apr 10 2012 Paul Wouters <pwouters@redhat.com> - 1.1-3
- Removed python-argparse which is folderd into python
  on Fedora (not EL)

* Mon Apr 09 2012 Paul Wouters <pwouters@redhat.com> - 1.1-2
- Initial package for Fedora
- add -p to install

* Sun Apr 08 2012 Paul Wouters <pwouters@redhat.com> - 1.1-1
- Fixups as per review bug rhbz#810417

* Fri Apr 06 2012 Paul Wouters <pwouters@redhat.com> - 1.0-1
- Initial release and package

